Bug 243491 - Grub depends on gtk2
Grub depends on gtk2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
:
: 246381 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 21:36 EDT by Szombathelyi György
Modified: 2008-06-16 21:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Szombathelyi György 2007-06-08 21:36:27 EDT
Description of problem:

Grub has an indirect dependency on gtk2 this way:
gtk2->gtk2-engines->grub->redhat-artwork->fedora-logos->grub
This is unnecessary, the whole dependency chain is for 
the /boot/grub/splash.xpm.gz file.
This should be put to the grub package, or a separate rpm.

Version-Release number of selected component (if applicable):


How reproducible:
try to yum remove gtk2 -> it want to deinstall grub.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mark McLoughlin 2007-07-04 12:09:59 EDT
*** Bug 246381 has been marked as a duplicate of this bug. ***
Comment 2 Brett 2007-07-22 02:33:05 EDT
I second this. All the gtk stuff for a headless server is a big waste!
Will the dependency be removed from grub?
Comment 3 Craig Routledge 2007-07-31 10:33:00 EDT
Alternatively, if the artwork people want to keep everything in one location,
can grub just not display a background picture if the fedora-logos package is
not installed?  On some devices this could be a big space saver.
Comment 4 Ben Webb 2007-11-09 13:10:11 EST
FWIW, this dependency seems to have gone away in Fedora 8 - after an upgrade, I
was able to remove gtk2 and friends from my servers without breaking grub.
Comment 5 Bug Zapper 2008-05-14 08:57:10 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:31:12 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.